diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-ffr-simple.h ns-3.45/src/lte/test/lte-ffr-simple.h
--- ns-3.44/src/lte/test/lte-ffr-simple.h	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/test/lte-ffr-simple.h	2025-06-01 20:34:45.483701700 -0700
@@ -145,8 +145,7 @@
     uint32_t m_tpc;         ///< transmission power control to be used
     uint32_t m_tpcNum;      ///< number of TPC configurations
     bool m_accumulatedMode; ///< whether to use the TPC accumulated mode
-
-}; // end of class LteFfrSimple
+};
 
 } // end of namespace ns3
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-test-cell-selection.cc ns-3.45/src/lte/test/lte-test-cell-selection.cc
--- ns-3.44/src/lte/test/lte-test-cell-selection.cc	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/test/lte-test-cell-selection.cc	2025-06-01 20:34:45.483701700 -0700
@@ -316,8 +316,7 @@
                 ipv4RoutingHelper.GetStaticRouting(ueNode->GetObject<Ipv4>());
             ueStaticRouting->SetDefaultRoute(epcHelper->GetUeDefaultGatewayAddress(), 1);
         }
-
-    } // end of if (m_isEpcMode)
+    }
     else
     {
         NS_FATAL_ERROR("No support yet for LTE-only simulations");
@@ -348,8 +347,7 @@
     // Restore the seed and run number that were in effect before this test
     Config::SetGlobal("RngSeed", UintegerValue(previousSeed));
     Config::SetGlobal("RngRun", UintegerValue(previousRun));
-
-} // end of void LteCellSelectionTestCase::DoRun ()
+}
 
 void
 LteCellSelectionTestCase::CheckPoint(Ptr<LteUeNetDevice> ueDev,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-test-cell-selection.h ns-3.45/src/lte/test/lte-test-cell-selection.h
--- ns-3.44/src/lte/test/lte-test-cell-selection.h	2025-03-09 16:55:49.607372000 -0700
+++ ns-3.45/src/lte/test/lte-test-cell-selection.h	2025-06-01 20:34:45.483701700 -0700
@@ -162,7 +162,6 @@
 
     /// The current UE RRC state.
     std::vector<LteUeRrc::State> m_lastState;
-
-}; // end of class LteCellSelectionTestCase
+};
 
 #endif /* LTE_TEST_CELL_SELECTION_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-test-primary-cell-change.cc ns-3.45/src/lte/test/lte-test-primary-cell-change.cc
--- ns-3.44/src/lte/test/lte-test-primary-cell-change.cc	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/lte-test-primary-cell-change.cc	2025-06-01 20:34:45.485701800 -0700
@@ -200,7 +200,7 @@
 
     // Destroy simulator.
     Simulator::Destroy();
-} // end of void LtePrimaryCellChangeTestCase::DoRun ()
+}
 
 void
 LtePrimaryCellChangeTestCase::StateTransitionCallback(std::string context,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-test-primary-cell-change.h ns-3.45/src/lte/test/lte-test-primary-cell-change.h
--- ns-3.44/src/lte/test/lte-test-primary-cell-change.h	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/lte-test-primary-cell-change.h	2025-06-01 20:34:45.485701800 -0700
@@ -110,7 +110,6 @@
 
     /// The current UE RRC state.
     std::map<uint64_t, LteUeRrc::State> m_lastState;
-
-}; // end of class LtePrimaryCellChangeTestCase
+};
 
 #endif /* LTE_TEST_PRIMARY_CELL_CHANGE_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-test-radio-link-failure.cc ns-3.45/src/lte/test/lte-test-radio-link-failure.cc
--- ns-3.44/src/lte/test/lte-test-radio-link-failure.cc	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/lte-test-radio-link-failure.cc	2025-06-01 20:34:45.485701800 -0700
@@ -375,8 +375,7 @@
             dlClientApps.Start(Seconds(0.27));
             ulServerApps.Start(Seconds(0.27));
             ulClientApps.Start(Seconds(0.27));
-
-        } // end for b
+        }
     }
 
     lteHelper->EnableTraces();
@@ -424,7 +423,7 @@
         CheckIdle(ueDevs.Get(u), enbDevs);
     }
     Simulator::Destroy();
-} // end of void LteRadioLinkFailureTestCase::DoRun ()
+}
 
 void
 LteRadioLinkFailureTestCase::JumpAway(Vector UeJumpAwayPosition)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-test-radio-link-failure.h ns-3.45/src/lte/test/lte-test-radio-link-failure.h
--- ns-3.44/src/lte/test/lte-test-radio-link-failure.h	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/lte-test-radio-link-failure.h	2025-06-01 20:34:45.485701800 -0700
@@ -213,7 +213,6 @@
     uint32_t m_numOfInSyncIndications;    ///< number of in-sync indications detected
     uint32_t m_numOfOutOfSyncIndications; ///< number of out-of-sync indications detected
     Ptr<MobilityModel> m_ueMobility;      ///< UE mobility model
-
-}; // end of class LteRadioLinkFailureTestCase
+};
 
 #endif /* LTE_TEST_RADIO_LINK_FAILURE_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-test-secondary-cell-selection.cc ns-3.45/src/lte/test/lte-test-secondary-cell-selection.cc
--- ns-3.44/src/lte/test/lte-test-secondary-cell-selection.cc	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/lte-test-secondary-cell-selection.cc	2025-06-01 20:34:45.486701700 -0700
@@ -163,7 +163,7 @@
 
     // Destroy simulator.
     Simulator::Destroy();
-} // end of void LteSecondaryCellSelectionTestCase::DoRun ()
+}
 
 void
 LteSecondaryCellSelectionTestCase::StateTransitionCallback(std::string context,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-test-secondary-cell-selection.h ns-3.45/src/lte/test/lte-test-secondary-cell-selection.h
--- ns-3.44/src/lte/test/lte-test-secondary-cell-selection.h	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/lte-test-secondary-cell-selection.h	2025-06-01 20:34:45.486701700 -0700
@@ -109,7 +109,6 @@
 
     /// The current UE RRC state.
     std::map<uint64_t, LteUeRrc::State> m_lastState;
-
-}; // end of class LteSecondaryCellSelectionTestCase
+};
 
 #endif /* LTE_TEST_SECONDARY_CELL_SELECTION_H */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-test-ue-measurements.cc ns-3.45/src/lte/test/lte-test-ue-measurements.cc
--- ns-3.44/src/lte/test/lte-test-ue-measurements.cc	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/lte-test-ue-measurements.cc	2025-06-01 20:34:45.486701700 -0700
@@ -836,8 +836,7 @@
     Simulator::Stop(Seconds(2.201));
     Simulator::Run();
     Simulator::Destroy();
-
-} // end of void LteUeMeasurementsPiecewiseTestCase1::DoRun ()
+}
 
 void
 LteUeMeasurementsPiecewiseTestCase1::DoTeardown()
@@ -904,11 +903,9 @@
             NS_TEST_ASSERT_MSG_EQ(observedRsrp,
                                   referenceRsrp,
                                   "The RSRP observed differs with the reference RSRP");
-        } // end of if (!hasEnded)
-
-    } // end of if (measResults.measId == m_expectedMeasId)
-
-} // end of LteUeMeasurementsPiecewiseTestCase1::RecvMeasurementReportCallback
+        }
+    }
+}
 
 void
 LteUeMeasurementsPiecewiseTestCase1::TeleportVeryNear()
@@ -1544,8 +1541,7 @@
     Simulator::Stop(Seconds(2.201));
     Simulator::Run();
     Simulator::Destroy();
-
-} // end of void LteUeMeasurementsPiecewiseTestCase2::DoRun ()
+}
 
 void
 LteUeMeasurementsPiecewiseTestCase2::DoTeardown()
@@ -1616,8 +1612,7 @@
                           << EutranMeasurementMapping::RsrpRange2Dbm(it->rsrpResult) << " dBm)"
                           << " rsrq=" << (uint16_t)it->rsrqResult << " ("
                           << EutranMeasurementMapping::RsrqRange2Db(it->rsrqResult) << " dB)");
-
-    } // end of else of if (measResults.measResultListEutra.size () == 0)
+    }
 
     // verifying the report timing
     bool hasEnded = m_itExpectedTime == m_expectedTime.end();
@@ -1647,8 +1642,7 @@
     NS_TEST_ASSERT_MSG_EQ(observedRsrp,
                           referenceRsrp,
                           "The RSRP observed differs with the reference RSRP");
-
-} // end of void LteUeMeasurementsPiecewiseTestCase2::RecvMeasurementReportCallback
+}
 
 void
 LteUeMeasurementsPiecewiseTestCase2::TeleportVeryNear()
@@ -1838,8 +1832,7 @@
     Simulator::Stop(Seconds(2.201));
     Simulator::Run();
     Simulator::Destroy();
-
-} // end of void LteUeMeasurementsPiecewiseTestCase3::DoRun ()
+}
 
 void
 LteUeMeasurementsPiecewiseTestCase3::DoTeardown()
@@ -1912,8 +1905,7 @@
                               << " rsrq=" << (uint16_t)it.rsrqResult << " ("
                               << EutranMeasurementMapping::RsrqRange2Db(it.rsrqResult) << " dB)");
         }
-
-    } // end of else of if (measResults.measResultListEutra.size () == 0)
+    }
 
     // verifying the report timing
     bool hasEnded = m_itExpectedTime == m_expectedTime.end();
@@ -1934,8 +1926,7 @@
     NS_TEST_ASSERT_MSG_EQ(timeNowMs,
                           timeExpectedMs,
                           "Reporting should not have occurred at this time");
-
-} // end of void LteUeMeasurementsPiecewiseTestCase3::RecvMeasurementReportCallback
+}
 
 void
 LteUeMeasurementsPiecewiseTestCase3::TeleportEnbNear()
@@ -2451,8 +2442,7 @@
     Simulator::Stop(m_duration);
     Simulator::Run();
     Simulator::Destroy();
-
-} // end of void LteUeMeasurementsHandoverTestCase::DoRun ()
+}
 
 void
 LteUeMeasurementsHandoverTestCase::DoTeardown()
@@ -2539,8 +2529,7 @@
                           << EutranMeasurementMapping::RsrpRange2Dbm(it->rsrpResult) << " dBm)"
                           << " rsrq=" << (uint16_t)it->rsrqResult << " ("
                           << EutranMeasurementMapping::RsrqRange2Db(it->rsrqResult) << " dB)");
-
-    } // end of else of if (measResults.measResultListEutra.size () == 0)
+    }
 
     // verifying the report timing
     bool hasEnded = m_itExpectedTime == m_expectedTime.end();
@@ -2570,5 +2559,4 @@
     NS_TEST_ASSERT_MSG_EQ(observedRsrp,
                           referenceRsrp,
                           "The RSRP observed differs with the reference RSRP");
-
-} // end of void LteUeMeasurementsHandoverTestCase::RecvMeasurementReportCallback
+}
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/lte-test-ue-measurements.h ns-3.45/src/lte/test/lte-test-ue-measurements.h
--- ns-3.44/src/lte/test/lte-test-ue-measurements.h	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/lte-test-ue-measurements.h	2025-06-01 20:34:45.486701700 -0700
@@ -244,7 +244,8 @@
 
     Ptr<MobilityModel> m_ueMobility; ///< the mobility model
 
-}; // end of class LteUeMeasurementsPiecewiseTestCase1
+    // end of class LteUeMeasurementsPiecewiseTestCase1
+};
 
 // ===== LTE-UE-MEASUREMENTS-PIECEWISE-2 TEST SUITE ======================== //
 
@@ -379,7 +380,8 @@
 
     Ptr<MobilityModel> m_ueMobility; ///< the mobility model
 
-}; // end of class LteUeMeasurementsPiecewiseTestCase2
+    // end of class LteUeMeasurementsPiecewiseTestCase2
+};
 
 // ===== LTE-UE-MEASUREMENTS-PIECEWISE-3 TEST SUITE ======================== //
 
@@ -512,7 +514,8 @@
 
     Ptr<MobilityModel> m_enbMobility; ///< the mobility model
 
-}; // end of class LteUeMeasurementsPiecewiseTestCase3
+    // end of class LteUeMeasurementsPiecewiseTestCase3
+};
 
 // ===== LTE-UE-MEASUREMENTS-HANDOVER TEST SUITE =========================== //
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/test-lte-handover-delay.cc ns-3.45/src/lte/test/test-lte-handover-delay.cc
--- ns-3.44/src/lte/test/test-lte-handover-delay.cc	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/test-lte-handover-delay.cc	2025-06-01 20:34:45.488701800 -0700
@@ -213,8 +213,7 @@
     Simulator::Stop(m_simulationDuration);
     Simulator::Run();
     Simulator::Destroy();
-
-} // end of void LteHandoverDelayTestCase::DoRun ()
+}
 
 void
 LteHandoverDelayTestCase::UeHandoverStartCallback(std::string context,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/test-lte-handover-failure.cc ns-3.45/src/lte/test/test-lte-handover-failure.cc
--- ns-3.44/src/lte/test/test-lte-handover-failure.cc	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/test-lte-handover-failure.cc	2025-06-01 20:34:45.488701800 -0700
@@ -191,7 +191,8 @@
     uint16_t m_targeteNodeBPosition;   ///< position of the target eNodeB
     bool m_hasHandoverFailureOccurred; ///< has handover failure occurred in simulation
 
-}; // end of class LteHandoverFailureTestCase
+    // end of class LteHandoverFailureTestCase
+};
 
 void
 LteHandoverFailureTestCase::DoRun()
@@ -293,7 +294,7 @@
 
     RngSeedManager::SetSeed(previousSeed);
     RngSeedManager::SetRun(previousRun);
-} // end of void LteHandoverFailureTestCase::DoRun ()
+}
 
 void
 LteHandoverFailureTestCase::UeHandoverStartCallback(std::string context,
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/test-lte-handover-target.cc ns-3.45/src/lte/test/test-lte-handover-target.cc
--- ns-3.44/src/lte/test/test-lte-handover-target.cc	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/test-lte-handover-target.cc	2025-06-01 20:34:45.488701800 -0700
@@ -129,7 +129,8 @@
     Ptr<LteEnbNetDevice> m_sourceEnbDev; ///< source ENB device
     bool m_hasHandoverOccurred;          ///< has handover occurred?
 
-}; // end of class LteHandoverTargetTestCase
+    // end of class LteHandoverTargetTestCase
+};
 
 LteHandoverTargetTestCase::LteHandoverTargetTestCase(std::string name,
                                                      Vector uePosition,
@@ -355,8 +356,7 @@
     Simulator::Stop(Seconds(1));
     Simulator::Run();
     Simulator::Destroy();
-
-} // end of void LteX2HandoverTargetTestCase::DoRun ()
+}
 
 void
 LteHandoverTargetTestCase::DoTeardown()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/test-lte-x2-handover.cc ns-3.45/src/lte/test/test-lte-x2-handover.cc
--- ns-3.44/src/lte/test/test-lte-x2-handover.cc	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/test-lte-x2-handover.cc	2025-06-01 20:34:45.488701800 -0700
@@ -404,8 +404,7 @@
                 clientApps.Start(startTime);
 
                 ueData.bearerDataList.push_back(bearerData);
-
-            } // end for b
+            }
 
             m_ueDataVector.push_back(ueData);
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/lte/test/test-lte-x2-handover-measures.cc ns-3.45/src/lte/test/test-lte-x2-handover-measures.cc
--- ns-3.44/src/lte/test/test-lte-x2-handover-measures.cc	2025-03-09 16:55:49.611372000 -0700
+++ ns-3.45/src/lte/test/test-lte-x2-handover-measures.cc	2025-06-01 20:34:45.488701800 -0700
@@ -478,7 +478,7 @@
                         bearerData.ulSink = sinkContainer.Get(0)->GetObject<PacketSink>();
                         serverApps.Add(sinkContainer);
                     }
-                } // end if (useUdp)
+                }
 
                 Ptr<EpcTft> tft = Create<EpcTft>();
                 if (epcDl)
@@ -506,8 +506,7 @@
                 clientApps.Start(startTime);
 
                 ueData.bearerDataList.push_back(bearerData);
-
-            } // end for b
+            }
 
             m_ueDataVector.push_back(ueData);
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/mesh/model/dot11s/airtime-metric.cc ns-3.45/src/mesh/model/dot11s/airtime-metric.cc
--- ns-3.44/src/mesh/model/dot11s/airtime-metric.cc	2025-03-09 16:55:49.635372000 -0700
+++ ns-3.45/src/mesh/model/dot11s/airtime-metric.cc	2025-06-01 20:34:45.489701700 -0700
@@ -92,7 +92,7 @@
         (uint32_t)((double)(/*Overhead + payload*/
                             // DIFS + SIFS + AckTxTime = 2 * SIFS + 2 * SLOT + AckTxTime
                             2 * mac->GetWifiPhy()->GetSifs() + 2 * mac->GetWifiPhy()->GetSlot() +
-                            mac->GetWifiPhy()->GetAckTxTime() +
+                            GetEstimatedAckTxTime(txVector) +
                             WifiPhy::CalculateTxDuration(m_testFrame->GetSize(),
                                                          txVector,
                                                          mac->GetWifiPhy()->GetPhyBand()))
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/mobility/model/position-allocator.cc ns-3.45/src/mobility/model/position-allocator.cc
--- ns-3.44/src/mobility/model/position-allocator.cc	2025-03-09 16:55:49.655372100 -0700
+++ ns-3.45/src/mobility/model/position-allocator.cc	2025-06-01 20:34:45.527701900 -0700
@@ -102,8 +102,7 @@
 
         Vector pos(x, y, z);
         Add(pos);
-
-    } // while FetchNextRow
+    }
     NS_LOG_INFO("read " << csv.RowNumber() << " rows");
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/mobility/model/rectangle.cc ns-3.45/src/mobility/model/rectangle.cc
--- ns-3.44/src/mobility/model/rectangle.cc	2025-03-09 16:55:49.655372100 -0700
+++ ns-3.45/src/mobility/model/rectangle.cc	2025-06-01 20:34:45.528702000 -0700
@@ -52,12 +52,28 @@
 Rectangle::Side
 Rectangle::GetClosestSideOrCorner(const Vector& position) const
 {
-    std::array<double, 4> distanceFromBorders{
-        std::abs(position.x - this->xMin), // left border
-        std::abs(this->xMax - position.x), // right border
-        std::abs(position.y - this->yMin), // bottom border
-        std::abs(this->yMax - position.y), // top border
-    };
+    std::array<double, 4> distanceFromBorders;
+
+    if (IsInside(position))
+    {
+        distanceFromBorders = {
+            std::abs(position.x - this->xMin), // left border
+            std::abs(this->xMax - position.x), // right border
+            std::abs(position.y - this->yMin), // bottom border
+            std::abs(this->yMax - position.y)  // top border
+        };
+    }
+    else
+    {
+        const auto yMid = (yMax + yMin) / 2;
+        const auto xMid = (xMax + xMin) / 2;
+        distanceFromBorders = {
+            CalculateDistance(position, Vector(xMin, yMid, position.z)), // left border
+            CalculateDistance(position, Vector(xMax, yMid, position.z)), // right border
+            CalculateDistance(position, Vector(xMid, yMin, position.z)), // bottom border
+            CalculateDistance(position, Vector(xMid, yMax, position.z))  // top border
+        };
+    }
     uint8_t flags = 0;
     double minDist = std::numeric_limits<double>::max();
     for (int i = 0; i < 4; i++)
@@ -80,36 +96,17 @@
     switch (flags)
     {
     //     LRBT
-    case 0b1111:
-        // Every side is equally distant, so choose any
-        side = TOPSIDE;
-        break;
-    case 0b0011:
-        // Opposing sides are equally distant, so we need to check the other two
-        // We also need to check if we're inside or outside.
-        side = TOPSIDE;
-        if (!IsInside(position))
-        {
-            side = (distanceFromBorders[0] > distanceFromBorders[1]) ? RIGHTSIDE : LEFTSIDE;
-        }
-        break;
-    case 0b1100:
-        // Opposing sides are equally distant, so we need to check the other two
-        // We also need to check if we're inside or outside.
-        side = RIGHTSIDE;
-        if (!IsInside(position))
-        {
-            side = (distanceFromBorders[2] > distanceFromBorders[3]) ? TOPSIDE : BOTTOMSIDE;
-        }
-        break;
-    case 0b0001:
-    case 0b1101:
+    case 0b1111: // Equidistant to all sides, so we choose top
+    case 0b1101: // Equidistant to top, left and right, so we choose top
+    case 0b0011: // Opposing sides are equally distant, so we choose top
+    case 0b0001: // Closer to top
         side = TOPSIDE;
         break;
     case 0b0010:
     case 0b1110:
         side = BOTTOMSIDE;
         break;
+    case 0b1100: // Opposing sides are equally distant, so choose right
     case 0b0100:
     case 0b0111:
         side = RIGHTSIDE;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/mobility/test/rectangle-closest-border-test.cc ns-3.45/src/mobility/test/rectangle-closest-border-test.cc
--- ns-3.44/src/mobility/test/rectangle-closest-border-test.cc	2025-03-09 16:55:49.659372000 -0700
+++ ns-3.45/src/mobility/test/rectangle-closest-border-test.cc	2025-06-01 20:34:45.532702000 -0700
@@ -87,22 +87,29 @@
     // Rectangle in the positive x-plane to check the intersection with.
     Rectangle rectangle = Rectangle(0.0, 10.0, 0.0, 10.0);
 
-    /*            2                3                4
-     *              +----------------------------+ (10,10)
-     *              |  11         16          12 |
-     *              |                            |
-     *              |                            |
-     *      1       |  15          18         17 |              5
-     *              |                            |
-     *              |                            |
-     *              |  10          14         13 |
-     *              +----------------------------+
-     *           9                                  7
-     *           (0,0)
+    /*     23                                                             24
+     *                                    20
+     *                                    :
+     *                                    :
+     *                   2                3                4
+     *                      +----------------------------+ (10,10)
+     *                      |  11         16          12 |
+     *                      |                            |
+     *                      |                            |
+     *     19 ....  1       |  15          18         17 |              5 .... 21
+     *                      |                            |
+     *                      |                            |
+     *                      |  10          14         13 |
+     *                      +----------------------------+
+     *                   9                                  7
+     *                   (0,0)
      *
      *
      *
-     *                             8
+     *                                     8
+     *                                     :
+     *                                     :
+     * 26                                    22                                25
      */
     // Left side (1 and 15)
     AddTestCase(new RectangleClosestBorderTestCase(-5, 5, rectangle, Rectangle::LEFTSIDE),
@@ -147,6 +154,26 @@
     // Central position (18)
     AddTestCase(new RectangleClosestBorderTestCase(5, 5, rectangle, Rectangle::TOPSIDE),
                 TestCase::Duration::QUICK);
+    // For coordinates to left, top, right, bottom (19, 20, 21, 22)
+    AddTestCase(new RectangleClosestBorderTestCase(-30, 5, rectangle, Rectangle::LEFTSIDE),
+                TestCase::Duration::QUICK);
+    AddTestCase(new RectangleClosestBorderTestCase(5, 30, rectangle, Rectangle::TOPSIDE),
+                TestCase::Duration::QUICK);
+    AddTestCase(new RectangleClosestBorderTestCase(30, 5, rectangle, Rectangle::RIGHTSIDE),
+                TestCase::Duration::QUICK);
+    AddTestCase(new RectangleClosestBorderTestCase(5, -30, rectangle, Rectangle::BOTTOMSIDE),
+                TestCase::Duration::QUICK);
+    // For coordinates to left-top, right-top, right-bottom, left-bottom diagonals (23, 24, 25, 26)
+    AddTestCase(new RectangleClosestBorderTestCase(-30, 40, rectangle, Rectangle::TOPLEFTCORNER),
+                TestCase::Duration::QUICK);
+    AddTestCase(new RectangleClosestBorderTestCase(40, 40, rectangle, Rectangle::TOPRIGHTCORNER),
+                TestCase::Duration::QUICK);
+    AddTestCase(
+        new RectangleClosestBorderTestCase(40, -30, rectangle, Rectangle::BOTTOMRIGHTCORNER),
+        TestCase::Duration::QUICK);
+    AddTestCase(
+        new RectangleClosestBorderTestCase(-30, -30, rectangle, Rectangle::BOTTOMLEFTCORNER),
+        TestCase::Duration::QUICK);
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/mpi/examples/simple-distributed-mpi-comm.cc ns-3.45/src/mpi/examples/simple-distributed-mpi-comm.cc
--- ns-3.44/src/mpi/examples/simple-distributed-mpi-comm.cc	2025-03-09 16:55:49.659372000 -0700
+++ ns-3.45/src/mpi/examples/simple-distributed-mpi-comm.cc	2025-06-01 20:34:45.533702000 -0700
@@ -102,8 +102,7 @@
     RANK0COUTAPPEND("in MPI_COMM_WORLD: " << SinkTracer::GetWorldRank() << ":"
                                           << SinkTracer::GetWorldSize() << ", in splitComm: "
                                           << otherId << ":" << otherSize << std::endl);
-
-} // ReportRank()
+}
 
 int
 main(int argc, char* argv[])
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/mpi/test/mpi-test-suite.cc ns-3.45/src/mpi/test/mpi-test-suite.cc
--- ns-3.44/src/mpi/test/mpi-test-suite.cc	2025-03-09 16:55:49.659372000 -0700
+++ ns-3.45/src/mpi/test/mpi-test-suite.cc	2025-06-01 20:34:45.537701800 -0700
@@ -112,7 +112,8 @@
         AddTestCase(new MpiTestCase(name, program, dataDir, ranks, args, shouldNotErr), duration);
     }
 
-}; // class MpiTestSuite
+    // end of class MpiTestSuite
+};
 
 /* Tests using SimpleDistributedSimulatorImpl */
 static MpiTestSuite g_mpiNms2("mpi-example-nms-2", "nms-p2p-nix-distributed", NS_TEST_SOURCEDIR, 2);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/netanim/model/animation-interface.h ns-3.45/src/netanim/model/animation-interface.h
--- ns-3.44/src/netanim/model/animation-interface.h	2025-03-09 16:55:49.671372200 -0700
+++ ns-3.45/src/netanim/model/animation-interface.h	2025-06-01 20:34:45.553702000 -0700
@@ -468,14 +468,14 @@
         uint8_t r; ///< r
         uint8_t g; ///< g
         uint8_t b; ///< b
-    };             ///< RGB structure
+    };
 
     /// P2pLinkNodeIdPair structure
     struct P2pLinkNodeIdPair
     {
         uint32_t fromNode; ///< from node
         uint32_t toNode;   ///< to node
-    };                     ///< P2P link node id pair
+    };
 
     /// LinkProperties structure
     struct LinkProperties
@@ -483,7 +483,7 @@
         std::string fromNodeDescription; ///< from node description
         std::string toNodeDescription;   ///< to node description
         std::string linkDescription;     ///< link description
-    };                                   ///< link properties
+    };
 
     /// LinkPairCompare structure
     struct LinkPairCompare
@@ -516,14 +516,14 @@
     {
         std::string destination; ///< destination
         uint32_t fromNodeId;     ///< from node ID
-    };                           ///< IPv4 route track element
+    };
 
     /// Ipv4RoutePathElement structure
     struct Ipv4RoutePathElement
     {
         uint32_t nodeId;     ///< node ID
         std::string nextHop; ///< next hop
-    };                       ///< IPv4 route path element
+    };
 
     /// ProtocolType enumeration
     enum ProtocolType
@@ -541,7 +541,7 @@
     {
         double width;  ///< width
         double height; ///< height
-    };                 ///< node size
+    };
 
     typedef std::map<P2pLinkNodeIdPair, LinkProperties, LinkPairCompare>
         LinkPropertiesMap;                                       ///< LinkPropertiesMap typedef
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/network/model/packet-tag-list.cc ns-3.45/src/network/model/packet-tag-list.cc
--- ns-3.44/src/network/model/packet-tag-list.cc	2025-03-09 16:55:49.675372100 -0700
+++ ns-3.45/src/network/model/packet-tag-list.cc	2025-06-01 20:34:45.557702000 -0700
@@ -81,7 +81,7 @@
             prevNext = &cur->next;
             cur = cur->next;
         }
-    } // while !found && !cow
+    }
 
     // did we find it or run out of tags?
     if (cur == nullptr || found)
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/network/test/packetbb-test-suite.cc ns-3.45/src/network/test/packetbb-test-suite.cc
--- ns-3.44/src/network/test/packetbb-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
+++ ns-3.45/src/network/test/packetbb-test-suite.cc	2025-06-01 20:34:45.559702000 -0700
@@ -1,4 +1,3 @@
-/* vim: set ts=2 sw=2 sta expandtab ai si cin: */
 /*
  * Copyright (c) 2009 Drexel University
  *
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/network/test/packet-test-suite.cc ns-3.45/src/network/test/packet-test-suite.cc
--- ns-3.44/src/network/test/packet-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
+++ ns-3.45/src/network/test/packet-test-suite.cc	2025-06-01 20:34:45.559702000 -0700
@@ -1170,7 +1170,7 @@
             CheckRef(mrg, m5, msg, false);
         }
 #undef RemoveCheck
-    } // Removal
+    }
 
     // Replace
     {
@@ -1241,20 +1241,20 @@
                 case 1:
                     now = RemoveTime(ref, t1);
                     break;
-                } // switch
+                }
 
                 if (now < rmn[j])
                 {
                     rmn[j] = now;
                 }
-            } // for tag j
-        }     // for iteration i
+            }
+        }
         for (int j = TAG_LAST; j > 0; --j)
         {
             std::cout << GetName() << "min remove time: t" << j << ": " << std::setw(8) << rmn[j]
                       << " ticks" << std::endl;
         }
-    } // Timing
+    }
 }
 
 /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/network/test/sequence-number-test-suite.cc ns-3.45/src/network/test/sequence-number-test-suite.cc
--- ns-3.44/src/network/test/sequence-number-test-suite.cc	2025-03-09 16:55:49.675372100 -0700
+++ ns-3.45/src/network/test/sequence-number-test-suite.cc	2025-06-01 20:34:45.560702000 -0700
@@ -54,11 +54,6 @@
         return tid;
     }
 
-    TypeId GetInstanceTypeId() const override
-    {
-        return GetTypeId();
-    }
-
     /// Increment the sequence number.
     void IncSequenceNumber()
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/network/utils/ipv4-address.cc ns-3.45/src/network/utils/ipv4-address.cc
--- ns-3.44/src/network/utils/ipv4-address.cc	2025-03-09 16:55:49.675372100 -0700
+++ ns-3.45/src/network/utils/ipv4-address.cc	2025-06-01 20:34:45.561702000 -0700
@@ -281,6 +281,14 @@
     return (m_address & 0xffffff00) == 0xe0000000;
 }
 
+bool
+Ipv4Address::IsLinkLocal() const
+{
+    NS_LOG_FUNCTION(this);
+    // Link-Local address is 169.254.0.0/16
+    return (m_address & 0xffff0000) == 0xa9fe0000;
+}
+
 void
 Ipv4Address::Serialize(uint8_t buf[4]) const
 {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/network/utils/ipv4-address.h ns-3.45/src/network/utils/ipv4-address.h
--- ns-3.44/src/network/utils/ipv4-address.h	2025-03-09 16:55:49.679372300 -0700
+++ ns-3.45/src/network/utils/ipv4-address.h	2025-06-01 20:34:45.561702000 -0700
@@ -113,6 +113,14 @@
      */
     bool IsLocalMulticast() const;
     /**
+     * @brief If the IPv4 address is an APIPA address (169.254/16).
+     *
+     * The Automatic Private IP Address is described in \RFC{3927}
+     *
+     * @return true if the address is link-local, false otherwise
+     */
+    bool IsLinkLocal() const;
+    /**
      * @brief Combine this address with a network mask
      *
      * This method returns an IPv4 address that is this address combined
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.44/src/network/utils/mac8-address.h ns-3.45/src/network/utils/mac8-address.h
--- ns-3.44/src/network/utils/mac8-address.h	2025-03-09 16:55:49.679372300 -0700
+++ ns-3.45/src/network/utils/mac8-address.h	2025-06-01 20:34:45.562702000 -0700
@@ -134,8 +134,7 @@
     friend bool operator!=(const Mac8Address& a, const Mac8Address& b);
     friend std::ostream& operator<<(std::ostream& os, const Mac8Address& address);
     friend std::istream& operator>>(std::istream& is, Mac8Address& address);
-
-}; // class Mac8Address
+};
 
 /**
  * Address comparison, less than.
